-- 用户设备IM
CREATE TABLE `t_user_device_im` (
  `id` bigint NOT NULL,
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `device_id` bigint NOT NULL COMMENT '设备ID',
  `im_id` varchar(100) NOT NULL COMMENT 'IM用户ID',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户设备IM';

CREATE INDEX idx_user_id_device_id ON t_user_device_im(user_id, device_id);

CREATE INDEX idx_device_id ON t_user_device_im(device_id);

CREATE INDEX idx_im_id ON t_user_device_im(im_id);

CREATE INDEX idx_created_at ON t_user_device_im(created_at);


alter table t_user_device_im
    add im_user_id bigint null;

alter table t_user_device_im
    add constraint t_user_device_im_pk
        unique (im_user_id);

